Bug 1000389 - sudo: internal error, tried to erealloc3(0) with sssd backend
Summary: sudo: internal error, tried to erealloc3(0) with sssd backend
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sudo (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: Unspecified Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Daniel Kopeček
QA Contact: David Spurek
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1006611
TreeView+ depends on / blocked
 
Reported: 2013-08-23 11:01 UTC by Pavel Březina
Modified: 2015-03-02 05:27 UTC (History)
3 users (show)

Fixed In Version: sudo-1.8.6p7-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 13:22:51 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (503 bytes, patch)
2013-08-23 11:02 UTC, Pavel Březina
no flags Details | Diff

Description Pavel Březina 2013-08-23 11:01:49 UTC
Description of problem:
When sssd returns rules to sudo and all rules are filtered out, sudo calls erealloc3(0).

How reproducible:
always

Steps to Reproduce:
1. Configure sudo to use sssd
2. Create a sudo rule with:
sudoUser: tuser
sudoCommand: ALL
but without sudoHost attibute
3. Run sudo -l as tuser

Actual results:
$ sudo -l
sudo: internal error, tried to erealloc3(0)

Expected results:
$ sudo -l
User tuser is not allowed to run sudo on client.

Additional info:
Patch attached.

Comment 1 Pavel Březina 2013-08-23 11:02:58 UTC
Created attachment 789555 [details]
proposed patch

Comment 5 Ludek Smid 2014-06-13 13:22:51 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.